Bug 27406 - Update admin/searchengine/elasticsearch/mappings.tt to adhere to ACC2
Summary: Update admin/searchengine/elasticsearch/mappings.tt to adhere to ACC2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Catherine
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26926
  Show dependency treegraph
 
Reported: 2021-01-12 10:19 UTC by Martin Renvoize
Modified: 2021-06-14 21:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27406: update file to adhere to ACC2 (1.59 KB, patch)
2021-01-20 03:01 UTC, Catherine
Details | Diff | Splinter Review
Bug 27406: update file to adhere to ACC2 (1.59 KB, patch)
2021-01-20 03:06 UTC, Catherine
Details | Diff | Splinter Review
Bug 27406: update file to adhere to ACC2 (1.56 KB, patch)
2021-01-20 21:45 UTC, Catherine
Details | Diff | Splinter Review
Bug 27406: update file to adhere to ACC2 (1.61 KB, patch)
2021-01-21 00:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27406: Update elasticsearch mapping to adhere to ACC2 (1.68 KB, patch)
2021-01-21 10:21 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-01-12 10:19:15 UTC
We need to update number type inputs on intranet-tmpl/prog/en/modules/admin/searchengine/elasticsearch/mappings.tt to adhere to ACC2
Comment 1 Catherine 2021-01-20 03:01:43 UTC
Created attachment 115404 [details] [review]
Bug 27406: update file to adhere to ACC2

This patch changes the 1 occurance of an input of type="number" to input
type="text" inputmode="numeric" pattern="[0-9]*"

Test plan:
ken the file and ensure that no other inputs of type="number
were missed.
Comment 2 Catherine 2021-01-20 03:06:15 UTC
Created attachment 115406 [details] [review]
Bug 27406: update file to adhere to ACC2

This patch changes the 1 occurance of an input of type="number" to input
type="text" inputmode="numeric" pattern="[0-9]*"

Test plan:
open the file and ensure that no other inputs of type="number"
were missed
Comment 3 Catherine 2021-01-20 21:45:01 UTC
Created attachment 115464 [details] [review]
Bug 27406: update file to adhere to ACC2

This patch changes the 1 occurance of an input of type="number" to input
type="text" inputmode="numeric" pattern="[0-9]*"

Test plan:
open the file and ensure that no other inputs of type="number"
were missed
Comment 4 Owen Leonard 2021-01-21 00:24:09 UTC
Created attachment 115482 [details] [review]
Bug 27406: update file to adhere to ACC2

This patch changes the 1 occurance of an input of type="number" to input
type="text" inputmode="numeric" pattern="[0-9]*"

Test plan:
open the file and ensure that no other inputs of type="number"
were missed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Martin Renvoize 2021-01-21 10:21:43 UTC
Created attachment 115521 [details] [review]
Bug 27406: Update elasticsearch mapping to adhere to ACC2

This patch changes the 1 occurance of an input of type="number" to input
type="text" inputmode="numeric" pattern="[0-9]*"

Test plan:
open the file and ensure that no other inputs of type="number"
were missed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-01-21 10:22:28 UTC
Great work Catherine, thanks.

Passing QA
Comment 7 Jonathan Druart 2021-01-21 15:25:23 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-01-25 15:32:53 UTC
I propose not to backport since there are several places still at work (children of Bug 26926).

Enhancement not pushed to 20.11.x